const CacheBase = require("../cache.base");
const system = require("../../system");
const settings = require("../../../config/settings");
class ApiAccessKeyCache extends CacheBase {
  constructor() {
    super();
    this.restS = system.getObject("util.restClient");
  }
  desc() {
    return "应用中缓存访问token";
  }
  prefix() {
    return settings.cacheprefix + "_accesskey:";
  }
  async buildCacheVal(cachekey, inputkey, val, ex, ...items) {
    var appkey = inputkey || settings.appKey;
    var secret = items && items.length > 0 ? items[0] : settings.secret;
    var acckapp = await this.restS.execPost({ appkey: appkey, secret: secret }, settings.paasUrl() + "api/auth/accessAuth/getAccessKey");
    var s = acckapp.stdout;
    console.log(acckapp.stdout, "ApiAccessKeyCache............. acckapp.stdout..........")
    if (s) {
      var tmp = JSON.parse(s);
      return tmp;
      // if (tmp.status == 0) {
      //   return JSON.stringify(tmp.data);
      // }
    }
    return system.getResult(null, "返回数据为空！");
  }
}
module.exports = ApiAccessKeyCache;
